clear all
figure

for H=[.01:0.05:0.46 .5 .54:0.05:1.5]

I1=2;I2=1;I3=2/3;
y1=[-1:.0001:0];

y2=sqrt(((2*H-1/I3)-(1/I1-1/I3)*y1.^2)/(1/I2-1/I3));
y3=sqrt(((2*H-1/I2)-(1/I1-1/I2)*y1.^2)/(1/I3-1/I2));


%extract the real solutions y2 and y3:
m=1;
for k=1:length(y1)
    if( imag(y2(k))==0 & imag(y3(k))==0 )
      y1_new(m) = y1(k);
      y2_new(m) = y2(k);
      y3_new(m) = y3(k);
      m=m+1;
    end
end

hold on
if(m>1)
 plot3(y1_new,y2_new,y3_new)
 plot3(y1_new,-y2_new,y3_new)
 plot3(y1_new,y2_new,-y3_new)
 plot3(y1_new,-y2_new,-y3_new)

 plot3(-y1_new,y2_new,y3_new)
 plot3(-y1_new,-y2_new,y3_new)
 plot3(-y1_new,y2_new,-y3_new)
 plot3(-y1_new,-y2_new,-y3_new)
end
xlabel('y_1','Fontsize',12)
ylabel('y_2','Fontsize',12)
zlabel('y_3','Fontsize',12)

clear y1_new y2_new y3_new

view([-36 42])
axis equal

end 

%---------------------------------------------------
global h a1 a2 a3  tol maxiter

clear x y z
i1=2;
i2=1;
i3=2/3;

a1 = (i2-i3)/(i2*i3);
a2 = (i3-i1)/(i3*i1);
a3 = (i1-i2)/(i1*i2);

%h=input('give your h   ')


%IC
x=cos(1.1);
y=0;
z=sin(1.1);
plot3(x,y,z,'*r')
h=0.3;
Tfinal = 15;
Nsteps = floor(Tfinal/h);

%Newton tolerance
maxiter = 500;
tol = 1e-4;


%view angle of the 3D plot
view([10 40])
%labels of axes
xlabel('y_1','fontsize',12)
ylabel('y_2','fontsize',12)
zlabel('y_3','fontsize',12)
%set the fontsize for the axis ticks
set(gca,'fontsize',12)
%figure title
title(sprintf('RIGID BODY,   I_1=%g. I_2=%g, I_3=%g',i1,i2,i3))


%time stepping
x_old =x;
y_old =y;
z_old =z;

for k=1:Nsteps
    [x,y,z] = Newton_iter(x_old,y_old,z_old);
    x_old = x;
    y_old = y;
    z_old = z;

    plot3(x,y,z,'*r')
    pause(0.007)    %short pause so that the figure appears each time the above command is called
    
end



!DSPAM:4384252f56611336712104!
